FROM debian:buster AS builder

ARG PREFIXV
ARG VERSION

RUN apt-get update && \
    apt-get install -y curl && \
    curl -sL https://deb.nodesource.com/setup_14.x | bash - && \
    apt-get install -y git nodejs make wget unzip && \
    wget https://github.com/jitsi/jitsi-meet/archive/${PREFIXV}${VERSION}.zip -O jitsi-meet.zip

RUN unzip jitsi-meet.zip && \
    mv jitsi-meet-*${VERSION} jitsi-meet && \
    cd jitsi-meet && \
    npm install && \
    make

FROM debian:buster

COPY --from=builder /jitsi-meet /srv/jitsi-meet
RUN apt-get update && \
    apt-get install -y nginx && \
    rm /etc/nginx/sites-enabled/*

COPY config.js /srv/jitsi-meet/config.js
COPY entrypoint.sh /usr/local/bin/entrypoint
ENTRYPOINT ["/usr/local/bin/entrypoint"]
CMD ["/usr/sbin/nginx", "-g", "daemon off;"]
